EDIT - feature request #9287

Show term details in details view of term tree editor
11/09/2020 02:49 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal

Description

From ticket #8774

Can we show the details of a term anyway even if it is not editable in the term tree editor. This is because the pure label is often not
enough to decide if one took the right term.
If not all information is easily available at least the most important should be shown.

But ofcourse it should be disabled for editing. (but Maybe in future when vocabularies will also use term trees for hierarchy editing
might be a requested feature, just in case this is important to know for implementation).

Related issues:

Related to EDIT - bug #8774: Reimplement term tree editors to implement the g... Closed
Related to EDIT - feature request #9337: Open issues for reimplementation of ... Closed
Copied to EDIT - bug #9688: Make disabled fields copyable Closed

Associated revisions

Revision ee4b4e44 - 06/16/2021 10:49 AM - Katja Luther

ref #9287: show disabled term details in term tree

Revision 74ca5142 - 06/16/2021 10:50 AM - Katja Luther

ref #9287: show disabled term details in term tree

Revision 12addc56 - 06/16/2021 01:07 PM - Katja Luther

ref #9337, #9287: show details of term and supplemental data of term node

Revision 8ee0429a - 06/29/2021 10:13 AM - Katja Luther

ref #9287: disable translation elements of term

Revision c9e78864 - 06/29/2021 10:23 AM - Katja Luther

ref #9287: disable translation elements of term - continue

Revision 3a553a43 - 06/29/2021 11:19 AM - Katja Luther
ref #9287: fix NPE when multilanguage is disabled

Revision ec4a9eb1 - 06/30/2021 09:48 AM - Katja Luther
ref #9287: adapt all toggleable text fields to enableCache

Revision 8fbdff7b - 06/30/2021 10:01 AM - Katja Luther
ref #9688: make disabled fields copyable

History

#1 - 11/09/2020 02:50 PM - Katja Luther

- Related to bug #8774: Reimplement term tree editors to implement the general save strategy added

#2 - 11/27/2020 08:55 AM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to Release 5.18

As this is related to #8774 | move it to current milestone as we should implement it soon (might also be an interesting feature for the "integrated

taxonomy" course.

#3 - 11/27/2020 09:09 AM - Andreas Miiller

Maybe we do not need to load the data with the initial DTO but asynchronously when ever it is needed. Just in case loading takes to long for term

types with a large number of term nodes.

#4 - 12/03/2020 08:33 PM - Andreas Miuller

- Related to feature request #9337: Open issues for reimplementation of termtree editors added

#5 - 12/04/2020 09:03 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#6 - 01/27/2021 04:44 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.21

#7 - 03/10/2021 02:48 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#8 - 03/18/2021 05:33 PM - Andreas Miiller

- Subject changed from Show term details in details view of term editor to Show term details in details view of term tree editor

#9 - 04/19/2021 05:05 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#10 - 06/16/2021 10:51 AM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Release 5.46 to Release 5.25

this should be fixed. Please review.

#11 - 06/25/2021 06:05 PM - Andreas Miiller

- Tracker changed from bug to feature request

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 50

The buttons for multi-language editing are still enabled. So it is possble to remove a description for a given language or to open the the translation

editor.

Note: Als the Open URI button is enabled even if no URI is given. It should be enabled only if a value exists (in general, not only in context of this

ticket).

#12 - 06/29/2021 11:49 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

Andreas Muller wrote:

The buttons for multi-language editing are still enabled. So it is possble to remove a description for a given language or to open the the

translation editor.

Note: Als the Open URI button is enabled even if no URI is given. It should be enabled only if a value exists (in general, not only in context of this

ticket).

This is fixed now, please review.
The URI issue is fixed as well.

#13 - 06/29/2021 07:06 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 50 to 90

Works as expected now and we can close the ticket.

There is only one final issue which is valid for all disabled fields. Is it possible to generally make disabled fields copyable? Currently they only show
the text but it is not possble to copy it. At some places this is already implemented. We probably should move this issue to a new ticket.

#14 - 06/29/2021 10:30 PM - Andreas Miiller
See also #7309#note-19 which is maybe related to this ticket.

#15 - 06/30/2021 10:02 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller
Andreas Miller wrote:
Works as expected now and we can close the ticket.
There is only one final issue which is valid for all disabled fields. Is it possible to generally make disabled fields copyable? Currently they only
show the text but it is not possble to copy it. At some places this is already implemented. We probably should move this issue to a new ticket.
It is possible and | implemented for toggleable and text fields, but now it is possible to enter something, but the changes disappear immediately.
Please have a look whether this is ok.
#16 - 07/01/2021 09:56 AM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther
It works as expected for the fields in the term tree details view (which are not toggleable).
For toggleable they still set the dirty flag (tested on Person details view with bulk editor). This is unwanted.
| do not yet fully understand why it is not possible to use the same technique as for ordinary text fields in toggleable fields.

#17 - 07/01/2021 10:00 AM - Andreas Miiller
- Copied to bug #9688: Make disabled fields copyable added

#18 - 07/01/2021 10:00 AM - Katja Luther
Andreas Miller wrote:
It works as expected for the fields in the term tree details view (which are not toggleable).

For toggleable they still set the dirty flag (tested on Person details view with bulk editor). This is unwanted.

| do not yet fully understand why it is not possible to use the same technique as for ordinary text fields in toggleable fields.

The same technique is used for text fields and toggleable text fields but maybe | need to have a look on the event handling of the toggleable text field.

#19 - 07/01/2021 10:01 AM - Andreas Muller
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

As there is a followup ticket for the general "copyable" issue we can close this ticket and move discussion on "copyable" to #9688
